Subject: bug#58545: 28.2; Toolbar icons missing until X server is restarted

From: Xuanrui Qi <[email-masked]>
Date: Thu, 27 Oct 2022 04:26:06 +0900

Hi all,

After a big of digging, this turns out to be a false alarm. Emacs is alright.

Apparently, in GSettings I have set org.gnome.desktop.interface.toolbar-style to
text. Somehow most applications seem to ignore this setting, but Emacs is one of
those which respect this and give me plain text toolbars.

I suppose restarting the window manager cause the settings to be overridden by
GNOME or something, so I get my icons back. Really weird interaction; I guess
someone familiar with GTK and GNOME knows why this is the case.

Please mark this bug as resolved.

Best,
Xuanrui

On Tue, 2022-10-18 at 08:39 +0800, Po Lu wrote:
> Xuanrui Qi <[email-masked]> writes:
> 
> > > just the window manager
> > Yes, you are right, I was restarting the window manager. Alternatively,
> > altering
> > any of the theme settings also cause icons to appear properly, probably
> > because
> > all windows are reloaded.
> > 
> > > What about the GTK icon browser?
> > Everything seems to work and in particular there are no missing icons.
> 
> That's odd, but there I really don't know what may be going on, seeing
> as I can't reproduce it here.
> 
> For the time being, you can set x-gtk-stock-map to nil in early-init.el,
> to make Emacs use its own toolbar icons.